org.apache.commons.io.input

## Class ObservableInputStream.AbstractBuilder<T extends ObservableInputStream.AbstractBuilder<T>>

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.build.AbstractOriginSupplier<T,B>
    - - org.apache.commons.io.build.AbstractStreamBuilder<T,B>
      - - org.apache.commons.io.input.ProxyInputStream.AbstractBuilder<ObservableInputStream,T>
        - - org.apache.commons.io.input.ObservableInputStream.AbstractBuilder<T>

- Type Parameters:
    `T` - The subclass.
  All Implemented Interfaces:
    IOSupplier<ObservableInputStream>
  Direct Known Subclasses:
    MessageDigestCalculatingInputStream.Builder, MessageDigestInputStream.Builder, ObservableInputStream.Builder
  Enclosing class:
    ObservableInputStream

      public abstract static class ObservableInputStream.AbstractBuilder<T extends ObservableInputStream.AbstractBuilder<T>>
      extends ProxyInputStream.AbstractBuilder<ObservableInputStream,T>

  For subclassing builders from `BoundedInputStream` subclassses.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBuilder()` Constructs a new instance for subclasses.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setObservers(List<ObservableInputStream.Observer> observers)` Sets the list of observer callbacks.

    - ### Methods inherited from class org.apache.commons.io.input.ProxyInputStream.AbstractBuilder

      `getAfterRead, setAfterRead`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

      `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

      `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier, get, getUnchecked`

- - ### Constructor Detail

    - #### AbstractBuilder

          public AbstractBuilder()

      Constructs a new instance for subclasses.

  - ### Method Detail

    - #### setObservers

          public void setObservers(List<ObservableInputStream.Observer> observers)

      Sets the list of observer callbacks.
      Parameters:
        `observers` - The list of observer callbacks.